export default function viewportSize() {
    const vh = Math.min(document.documentElement.clientHeight || Number.MAX_SAFE_INTEGER, window.innerHeight);
    const vw = Math.min(document.documentElement.clientWidth || Number.MAX_SAFE_INTEGER, window.innerWidth);
    return { vh, vw };
}
